package com.example.what_the_fantasy.data.services

import com.example.what_the_fantasy.data.model.Comment
import com.example.what_the_fantasy.data.model.Quote
import com.example.what_the_fantasy.data.model.User

interface IServices {
    fun EditUsername(username : String, index : Int)
    fun EditEmail(email : String, index : Int)
    fun EditPasswd(passwd : String, index : Int)
    fun EditImage(imageURL : String, index : Int)

    fun CreateUser(username : String, email : String, passwd : String, services : IServices) : Boolean
    fun getFavorite(username: String)
    fun getAllUsers(): List<User>
    fun getComment(quoteId : Int) : List<Comment>
    fun getUserById(id: Int): User?

    fun SearchQuote(quote : String)

    fun getQuote( id : Int): Quote?

    fun isFavorite(id : Int): Boolean

}